platform/desktop-package/scripts/publish-version.sh
Andrey Sobolev 282e304122
Some checks are pending
CI / build (push) Waiting to run
CI / svelte-check (push) Blocked by required conditions
CI / formatting (push) Blocked by required conditions
CI / test (push) Blocked by required conditions
CI / uitest (push) Waiting to run
CI / uitest-pg (push) Waiting to run
CI / uitest-qms (push) Waiting to run
CI / docker-build (push) Blocked by required conditions
CI / dist-build (push) Blocked by required conditions
Fix publish script should fail on error (#7771)
Signed-off-by: Andrey Sobolev <haiodo@gmail.com>
2025-01-23 17:03:15 +07:00

28 lines
962 B
Bash
Executable File

#!/bin/bash
endpoint=https://47fadbaa4ecbea9f3e8b7043a4584e27.r2.cloudflarestorage.com
bucket=desktop-distro
rawVersion=$(node common/scripts/show_tag.js)
version=${rawVersion:1:${#rawVersion}-2}
cd desktop-package/deploy
aws s3api put-object --endpoint $endpoint --bucket $bucket --key ${version}-mac.yml --body latest-mac.yml --acl public-read 2>&1 > /dev/null
if [ $? -ne 0 ]; then
echo "Error uploading ${version}-mac.yml" >&2
exit 1
fi
aws s3api put-object --endpoint $endpoint --bucket $bucket --key ${version}-linux.yml --body latest-linux.yml --acl public-read 2>&1 > /dev/null
if [ $? -ne 0 ]; then
echo "Error uploading ${version}-linux.yml" >&2
exit 1
fi
aws s3api put-object --endpoint $endpoint --bucket $bucket --key ${version}.yml --body latest.yml --acl public-read 2>&1 > /dev/null
if [ $? -ne 0 ]; then
echo "Error uploading ${version}.yml" >&2
exit 1
fi
echo Successfully published version ${version} to ${endpoint}/${bucket}